/*
This project provide access to non public fields
and methods as help for writing tests.
Copyright (C) 2007  Christof Lehmann

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package net.sf.testextensions;

/**
 * This exception shows a error during accessing non
 * public fields or methods.
 * @author forge-cl
 *
 */
public class TestExtensionException extends Exception {

	/**
	 * The constructor simple calls the super constructor.
	 * @param msg the message for the exception.
	 */
	public TestExtensionException(final String msg) {
		super(msg);
	}

	/**
	 * The constructor simple calls the super constructor.
	 * @param e the source exception.
	 */
	public TestExtensionException(final Exception e) {
		super(e);
	}

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

}
